Bug 443708 - Plasma crash in ShellCorona::createWaitingPanels() after logging on
Summary: Plasma crash in ShellCorona::createWaitingPanels() after logging on
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: general (show other bugs)
Version: 5.23.0
Platform: Neon Linux
: VHI crash
Target Milestone: 1.0
Assignee: Noah Davis
URL:
Keywords: drkonqi, regression
: 443738 443780 443838 443933 444053 444196 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-10-14 13:13 UTC by a.hoj
Modified: 2021-10-21 17:34 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.1


Attachments
stack trace (4.55 KB, text/plain)
2021-10-14 14:02 UTC, gene c
Details
minimal config test case (238 bytes, text/plain)
2021-10-15 14:36 UTC, Antonio Rojas
Details
New crash information added by DrKonqi (7.15 KB, text/plain)
2021-10-15 20:22 UTC, Lyubomir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description a.hoj 2021-10-14 13:13:39 UTC
Application: plasmashell (5.23.0)

Qt Version: 5.15.3
Frameworks Version: 5.87.0
Operating System: Linux 5.11.0-37-generic x86_64
Windowing System: X11
Distribution: KDE neon User Edition 5.22
DrKonqi: 5.23.0 [KCrashBackend]

-- Information about the crash:
- What I was doing when the application crashed:
Today I updated to Plasma 5.23. The crashes started to happen after the update and restart system.

- Unusual behavior I noticed:
- wallpaper and icons show, but after a while the whole area turns black, only bug window is visible. Main panel don't show, but it's possible run Krunner using Alt+Space and open any SW.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault

[New LWP 9968]
[New LWP 9978]
[New LWP 10195]
[New LWP 10226]
[New LWP 10228]
[New LWP 10229]
[New LWP 10230]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007feeceb5eaff in __GI___poll (fds=0x7fffea468638, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
__preamble__
____drkonqi_qmltrace_thread:1____
Failed to do pygdbmi parsing: No module named 'pygdbmi'
frame={level="0",func="expression for target",file="/usr/share/plasma/plasmoids/org.kde.plasma.kickoff/contents/ui/Kickoff.qml",fullname="/usr/share/plasma/plasmoids/org.kde.plasma.kickoff/cont".
---------------------------------
(beware that frames may have been optimized out)

[Current thread is 1 (Thread 0x7feecacb39c0 (LWP 9957))]

Thread 8 (Thread 0x7feeaf1cc700 (LWP 10230)):
#0  0x00007feeceb5eaff in __GI___poll (fds=0x7fee9c004800, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007feecd40a36e in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007feecd40a4a3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007feecf12e5eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fee9c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007feecf0d287b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7feeaf1cbba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007feeceeec292 in QThread::exec() (this=this@entry=0x7feeb80ab760) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007feed0a973ba in QQuickPixmapReader::run() (this=0x7feeb80ab760) at util/qquickpixmapcache.cpp:1024
#7  0x00007feeceeed42c in QThreadPrivate::start(void*) (arg=0x7feeb80ab760) at thread/qthread_unix.cpp:329
#8  0x00007feecde3c609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007feeceb6b293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7feeafdff700 (LWP 10229)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562ad1dcbc70) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x562ad1dcbc20, cond=0x562ad1dcbc48) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x562ad1dcbc48, mutex=0x562ad1dcbc20) at pthread_cond_wait.c:638
#3  0x00007feeceef359b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x562ad1dcbc20) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x562ad1bda6c8, mutex=mutex@entry=0x562ad1bda6c0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007feed0b5cb44 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x562ad1bda6b8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x562ad1bda620) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007feed0b5cfb9 in QSGRenderThread::run() (this=0x562ad1bda620) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007feeceeed42c in QThreadPrivate::start(void*) (arg=0x562ad1bda620) at thread/qthread_unix.cpp:329
#9  0x00007feecde3c609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007feeceb6b293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7feeb4fd1700 (LWP 10228)):
#0  0x00007feeceb6112b in __GI___select (nfds=41, readfds=0x7feeb4fd0ba0, writefds=0x0, exceptfds=0x0, timeout=0x7feeb4fd0b90) at ../sysdeps/unix/sysv/linux/select.c:41
#1  0x00007feec2d2c5a1 in  () at /lib/x86_64-linux-gnu/libnvidia-glcore.so.470.63.01
#2  0x00007feec2d2a0cd in  () at /lib/x86_64-linux-gnu/libnvidia-glcore.so.470.63.01
#3  0x00007feecde3c609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#4  0x00007feeceb6b293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7feeb5dfe700 (LWP 10226)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562ad1a39ce4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x562ad1a39c90, cond=0x562ad1a39cb8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x562ad1a39cb8, mutex=0x562ad1a39c90) at pthread_cond_wait.c:638
#3  0x00007feeceef359b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x562ad1a39c90) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x562ad1bd1a18, mutex=mutex@entry=0x562ad1bd1a10, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007feed0b5cb44 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x562ad1bd1a08) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x562ad1bd1970) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007feed0b5cfb9 in QSGRenderThread::run() (this=0x562ad1bd1970) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007feeceeed42c in QThreadPrivate::start(void*) (arg=0x562ad1bd1970) at thread/qthread_unix.cpp:329
#9  0x00007feecde3c609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007feeceb6b293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7feec11c4700 (LWP 10195)):
#0  __GI___libc_read (nbytes=16, buf=0x7feec11c39b0, fd=27) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=27, buf=0x7feec11c39b0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007feecd452b2f in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007feecd409ebe in g_main_context_check () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007feecd40a312 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007feecd40a4a3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007feecf12e5eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7feeb8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007feecf0d287b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7feec11c3bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#8  0x00007feeceeec292 in QThread::exec() (this=this@entry=0x562ad0fedaf0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#9  0x00007feed06fd549 in QQmlThreadPrivate::run() (this=0x562ad0fedaf0) at qml/ftw/qqmlthread.cpp:155
#10 0x00007feeceeed42c in QThreadPrivate::start(void*) (arg=0x562ad0fedaf0) at thread/qthread_unix.cpp:329
#11 0x00007feecde3c609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007feeceb6b293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7feec921d700 (LWP 9978)):
#0  __GI___libc_read (nbytes=16, buf=0x7feec921c9a0, fd=7) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=7, buf=0x7feec921c9a0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007feecd452b2f in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007feecd409ebe in g_main_context_check () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007feecd40a312 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007feecd40a4a3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007feecf12e5eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7feebc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007feecf0d287b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7feec921cbb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#8  0x00007feeceeec292 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#9  0x00007feecfa5ff4b in  () at /lib/x86_64-linux-gnu/libQt5DBus.so.5
#10 0x00007feeceeed42c in QThreadPrivate::start(void*) (arg=0x7feecfae3d80) at thread/qthread_unix.cpp:329
#11 0x00007feecde3c609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007feeceb6b293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7feec9ee5700 (LWP 9968)):
#0  0x00007feeceb5eaff in __GI___poll (fds=0x7feec9ee4ae8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007feed126dc1a in  () at /lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007feed126f90a in xcb_wait_for_event () at /lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007feeca600e88 in  () at /lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007feeceeed42c in QThreadPrivate::start(void*) (arg=0x562ad0cd3230) at thread/qthread_unix.cpp:329
#5  0x00007feecde3c609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007feeceb6b293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7feecacb39c0 (LWP 9957)):
[KCrash Handler]
#4  0x00007feed0645adb in QQmlObjectCreator::requiredProperties() (this=<optimized out>) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/qml/qqmlobjectcreator_p.h:136
#5  QQmlComponentPrivate::requiredProperties() (this=this@entry=0x562ad2d109b0) at qml/qqmlcomponent.cpp:344
#6  0x00007feed06494a8 in QQmlComponentPrivate::completeCreate() (this=0x562ad2d109b0) at qml/qqmlcomponent.cpp:1071
#7  0x00007feed0636950 in QQmlEnginePrivate::singletonInstance<QJSValue>(QQmlType const&) (this=this@entry=0x562ad0f8e080, type=...) at qml/qqmlengine.cpp:2526
#8  0x00007feed0532463 in QQmlEnginePrivate::singletonInstance<QObject*>(QQmlType const&) (type=..., this=0x562ad0f8e080) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/qml/qqmlengine_p.h:463
#9  QV4::QQmlContextWrapper::getPropertyAndBase(QV4::QQmlContextWrapper const*, QV4::PropertyKey, QV4::Value const*, bool*, QV4::Value*, QV4::Lookup*) (resource=0x7feec0585578, id=..., receiver=<optimized out>, hasProperty=<optimized out>, base=0x0, lookup=0x562ad2d5c010) at jsruntime/qv4qmlcontext.cpp:236
#10 0x00007feed053273c in QV4::QQmlContextWrapper::resolveQmlContextPropertyLookupGetter(QV4::Lookup*, QV4::ExecutionEngine*, QV4::Value*) (l=0x562ad2d5c010, engine=0x562ad1032a70, base=0x0) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/common/qv4staticvalue_p.h:325
#11 0x00007feed057896c in QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7fffea469600, engine=0x562ad1032a70, code=0x7fee906a3f55 "\030\006\002@") at jsruntime/qv4vme_moth.cpp:585
#12 0x00007feed057e11f in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7fffea469600, engine=engine@entry=0x562ad1032a70) at jsruntime/qv4vme_moth.cpp:463
#13 0x00007feed050b2fd in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x562ad2d5c290, thisObject=<optimized out>, argv=argv@entry=0x7feec0585500, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:69
#14 0x00007feed06b0fb7 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x562ad2d5e550, callData=callData@entry=0x7feec05854d0, isUndefined=isUndefined@entry=0x7fffea4697ff) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:343
#15 0x00007feed06b6e13 in QQmlBinding::evaluate(bool*) (this=this@entry=0x562ad2d5e550, isUndefined=isUndefined@entry=0x7fffea4697ff) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#16 0x00007feed06bb2ed in QQmlNonbindingBinding::doUpdate(QQmlJavaScriptExpression::DeleteWatcher const&, QFlags<QQmlPropertyData::WriteFlag>, QV4::Scope&) (this=0x562ad2d5e550, watcher=..., flags=..., scope=...) at qml/qqmlbinding.cpp:254
#17 0x00007feed06b8112 in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) (this=0x562ad2d5e550, flags=...) at qml/qqmlbinding.cpp:194
#18 0x00007feed06ca45e in QQmlObjectCreator::finalize(QQmlInstantiationInterrupt&) (this=0x562ad2d59cc0, interrupt=...) at qml/qqmlobjectcreator.cpp:1394
#19 0x00007feed064de05 in QQmlIncubatorPrivate::incubate(QQmlInstantiationInterrupt&) (this=0x562ad135d920, i=...) at qml/qqmlincubator.cpp:364
#20 0x00007feed064e376 in QQmlEnginePrivate::incubate(QQmlIncubator&, QQmlContextData*) (this=0x562ad0f8e080, i=..., forContext=forContext@entry=0x562ad133ad50) at qml/qqmlincubator.cpp:89
#21 0x00007feed0647afe in QQmlComponent::create(QQmlIncubator&, QQmlContext*, QQmlContext*) (this=<optimized out>, incubator=..., context=<optimized out>, forContext=forContext@entry=0x0) at qml/qqmlcomponent.cpp:1178
#22 0x00007feed1101f51 in KDeclarative::QmlObject::completeInitialization(QHash<QString, QVariant> const&) (initialProperties=..., this=0x562ad1373570) at ./src/kdeclarative/qmlobject.cpp:307
#23 KDeclarative::QmlObject::completeInitialization(QHash<QString, QVariant> const&) (this=0x562ad1373570, initialProperties=...) at ./src/kdeclarative/qmlobject.cpp:289
#24 0x00007feed14ac833 in PlasmaQuick::AppletQuickItem::init() () at /lib/x86_64-linux-gnu/libKF5PlasmaQuick.so.5
#25 0x00007feec11df159 in AppletInterface::init() (this=0x562ad135dab0) at ./src/scriptengines/qml/plasmoid/appletinterface.cpp:141
#26 0x00007feed14ae3f1 in PlasmaQuick::AppletQuickItem::itemChange(QQuickItem::ItemChange, QQuickItem::ItemChangeData const&) () at /lib/x86_64-linux-gnu/libKF5PlasmaQuick.so.5
#27 0x00007feed0b9fad5 in QQuickItemPrivate::itemChange(QQuickItem::ItemChange, QQuickItem::ItemChangeData const&) (this=this@entry=0x562ad135c7d0, change=change@entry=QQuickItem::ItemSceneChange, data=...) at items/qquickitem.cpp:6310
#28 0x00007feed0ba3d8e in QQuickItemPrivate::refWindow(QQuickWindow*) (this=0x562ad135c7d0, c=0x562ad11aac10) at items/qquickitem.h:186
#29 0x00007feed0ba3d4e in QQuickItemPrivate::refWindow(QQuickWindow*) (this=0x562ad10512e0, c=0x562ad11aac10) at items/qquickitem.h:468
#30 0x00007feed0ba6024 in QQuickItem::setParentItem(QQuickItem*) (this=0x562ad10825b0, parentItem=<optimized out>) at items/qquickitem.cpp:2716
#31 0x00007feed14b9e40 in  () at /lib/x86_64-linux-gnu/libKF5PlasmaQuick.so.5
#32 0x0000562acfcf1a7d in ShellCorona::createWaitingPanels() (this=0x562ad12c56e0) at ./shell/shellcorona.cpp:1318
#33 0x00007feecf10ad9e in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7fffea46a2b0, r=0x562ad12c56e0, this=0x562ad0e0e450) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#34 doActivate<false>(QObject*, int, void**) (sender=0x562ad12c5790, signal_index=3, argv=0x7fffea46a2b0) at kernel/qobject.cpp:3886
#35 0x00007feecf104167 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7feecf36fc80 <QTimer::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffea46a2b0) at kernel/qobject.cpp:3946
#36 0x00007feecf10f8de in QTimer::timeout(QTimer::QPrivateSignal) (this=<optimized out>, _t1=...) at .moc/moc_qtimer.cpp:205
#37 0x00007feecf101835 in QObject::event(QEvent*) (this=0x562ad12c5790, e=0x7fffea46a5e0) at kernel/qobject.cpp:1336
#38 0x00007feecfde3dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x562ad0cd0450, receiver=receiver@entry=0x562ad12c5790, e=e@entry=0x7fffea46a5e0) at kernel/qapplication.cpp:3632
#39 0x00007feecfdecbb8 in QApplication::notify(QObject*, QEvent*) (this=0x7fffea46a940, receiver=0x562ad12c5790, e=0x7fffea46a5e0) at kernel/qapplication.cpp:3156
#40 0x00007feecf0d3d7a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x562ad12c5790, event=0x7fffea46a5e0) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#41 0x00007feecf12d920 in QTimerInfoList::activateTimers() (this=0x562ad0de09b0) at kernel/qtimerinfo_unix.cpp:643
#42 0x00007feecf12e20c in timerSourceDispatch(GSource*, GSourceFunc, gpointer) (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:183
#43 0x00007feecd40a17d in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#44 0x00007feecd40a400 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#45 0x00007feecd40a4a3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007feecf12e5d2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x562ad0de0a00, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#47 0x00007feecf0d287b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fffea46a820, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#48 0x00007feecf0daa34 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#49 0x0000562acfccacf5 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:238
[Inferior 1 (process 9957) detached]

Possible duplicates by query: bug 429585, bug 423483, bug 418898, bug 418690, bug 415459.

Reported using DrKonqi
Comment 1 a.hoj 2021-10-14 13:17:28 UTC
If I type "kstart5 plasmashell" to Konsole, wallpaper show for a while, but early turns black again. Main panel never appeared.
Comment 2 gene c 2021-10-14 14:02:55 UTC
Created attachment 142431 [details]
stack trace
Comment 3 gene c 2021-10-14 14:04:01 UTC
Distro:  I'm running on Arch Linux fully updated with testing repo.
Comment 4 gene c 2021-10-14 15:19:31 UTC
My comment text got lost - here it is again:

I too see plasmashell core dump after I upgraded from 5.22.5 5o 5.23.0
Downgrading back to 5.22.5 makes all fine again

This occurred on
intel NUC10i5 with CPU / graphics card:

    Intel(R) Core(TM) i5-10210U CPU
    VGA compatible controller: Intel Corporation CometLake-U GT2 [UHD Graphics] (rev 02).

I also tested on a very old laptop and that did not crash if that helps.
That has :
    Intel(R) Core(TM) i5-6260U
    00:02.0 VGA compatible controller: Intel Corporation Iris Graphics 540 (rev 0a)

Versions:
    kernel          5.14.12 using modesetting driver on Xorg - i have not tried wayland.
    qt              5.15.2
    glibc           2.23
    kwin, plasma    5.23.0
Comment 5 Nate Graham 2021-10-14 22:39:30 UTC

*** This bug has been marked as a duplicate of bug 435715 ***
Comment 6 Antonio Rojas 2021-10-15 06:36:39 UTC
Are you sure this is a duplicate of bug 435715? The backtrace looks completely different to me, and this is a regression in 5.23
Comment 7 Nate Graham 2021-10-15 13:55:39 UTC
Yeah I guess you're right.
Comment 8 Antonio Rojas 2021-10-15 14:36:52 UTC
Created attachment 142474 [details]
minimal config test case
Comment 9 Antonio Rojas 2021-10-15 14:37:23 UTC
This is a regression from 47697dce9bc9d443bb5b79869e434ca93d829830

Attached is a minimal config that reproduces it
Comment 10 Antonio Rojas 2021-10-15 14:49:59 UTC
*** Bug 443738 has been marked as a duplicate of this bug. ***
Comment 11 Nate Graham 2021-10-15 18:38:50 UTC
*** Bug 443780 has been marked as a duplicate of this bug. ***
Comment 12 Nate Graham 2021-10-15 18:43:19 UTC
Noah, could you take a look? Thanks!
Comment 13 Lyubomir 2021-10-15 20:22:50 UTC
Created attachment 142485 [details]
New crash information added by DrKonqi

plasmashell (5.23.0) using Qt 5.15.2

- What I was doing when the application crashed:
Upgraded from Plasma 5.22 to Plasma 5.23, logged out and then logged in again and i was greeted with a black screen and two crash reporters with the same backtrace. Tried to launch plasmashell from Konsole but it again crashed with this backtrace.

- Unusual behavior I noticed:
Black screen on login.

-- Backtrace (Reduced):
#4  0x00007f69a6e9e86b in QQmlObjectCreator::requiredProperties (this=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/qml/qqmlobjectcreator_p.h:136
#5  QQmlComponentPrivate::requiredProperties (this=this@entry=0x55601e53f6e0) at qml/qqmlcomponent.cpp:344
#6  0x00007f69a6ea1748 in QQmlComponentPrivate::completeCreate (this=0x55601e53f6e0) at qml/qqmlcomponent.cpp:1071
#7  0x00007f69a6ea196d in QQmlComponent::completeCreate (this=this@entry=0x7ffe8951a700) at qml/qqmlcomponent.cpp:1066
#8  0x00007f69a6e92595 in QQmlEnginePrivate::singletonInstance<QJSValue> (this=this@entry=0x55601ce258e0, type=...) at qml/qqmlengine.cpp:2526
Comment 14 Noah Davis 2021-10-16 03:17:45 UTC
I'm guessing it's choking on some kind of interaction between a required property, the singleton and something from KDeclarative, but the KDeclarative thing could also be completely unrelated. The Kicker DragHelper is not in KDeclarative, but I wonder if I replaced it with a Qt Quick Drag attached property the crash would go away. After all, my patch to re-add drag and drop was apparently responsible for this crash.
Comment 15 David Edmundson 2021-10-16 22:20:18 UTC
*** Bug 443838 has been marked as a duplicate of this bug. ***
Comment 16 Bug Janitor Service 2021-10-17 09:53:09 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/605
Comment 17 MikeC 2021-10-17 19:39:19 UTC
I have updated to 5.23.0-2 on three different machines.  Two are machines which had new installs and new users added in the past year - they are fine after the update. A third machine has a user who has been running kde and then plasma for some years. On that machine although sddm greeter presents the user for login - once the password has been entered, the login hangs with a screen showing the splash but does not proceed to the graphical desktop. Nothing useful appeared in the logs.  As a means to achieve a login, the .config user directory was renamed to .config.prev and then the login completes - but of course the desktop needs to be customised from defaults.  It would be very useful to know which particular file or files in the .config/ directory are no longer compatible with 5.23 so that a minimal edit will achieve a login in these cases.  I have another computer with long established user areas and they will need to be treated the same way. If the underlying issue can be diagnosed it would save some users quite a lot of work to fix their desktops once they update to 5.23
Comment 18 Ardith Metz 2021-10-17 20:35:52 UTC
@MikeC as for me removing [Compositing] section from .config/kwinrc was enough to fix booting with plasma 5.23 so you may try that. For the record I had following settings in this file:

[Compositing]
GLColorCorrection=false
GLCore=true
GLPlatformInterface=egl
GLPreferBufferSwap=e
GLTextureFilter=1
HiddenPreviews=5
OpenGLIsUnsafe=false
UnredirectFullscreen=false
WindowsBlockCompositing=true
XRenderSmoothScale=false
Comment 19 MikeC 2021-10-17 20:49:41 UTC
@Ardith Metz thank you. I will certainly move that file aside on another machine when I update that in a couple of days - it will save quite a bit of work if that is the only change needed.
Comment 20 MikeC 2021-10-17 20:56:52 UTC
By the way on the two machines where there was no problem logging in after the update that section of the kwinrc file has only the lines:

[Compositing]
GLCore=true
OpenGLIsUnsafe=false

So perhaps removing all other lines in that section, but leaving those two will be enough. When I have had a chance to do that in a couple of days I will report back to say whether that alone is enough to allow normal login to the graphical desktop again.
Comment 21 Antonio Rojas 2021-10-18 07:26:34 UTC
*** Bug 443933 has been marked as a duplicate of this bug. ***
Comment 22 MikeC 2021-10-18 09:33:54 UTC
I can now confirm that on two user accounts where there were additional lines in the [compositing] section of kwinrc changing the lines to include only two lines as per:

[Compositing]
GLCore=true
OpenGLIsUnsafe=false

and then logging in via sddm gave no repeat of the failure to login to the plasma desktop.

The original lines in one case were:

[Compositing]
Backend=OpenGL
Enabled=true
GLColorCorrection=false
GLCore=true
GLPlatformInterface=egl
GLPreferBufferSwap=a
GLTextureFilter=2
HiddenPreviews=5
OpenGLIsUnsafe=false
UnredirectFullscreen=false
XRenderSmoothScale=false

Clearly one or more of the lines in that section of kwinrc that had been placed in the file in the past is not compatible with 5.23, but it is useful to know that this simple change prevents the bug where login fails.
Comment 23 Antonio Rojas 2021-10-18 10:32:11 UTC
Please open a separate report, that's unrelated to the original crash tracked here.
Comment 24 Noah Davis 2021-10-18 17:44:32 UTC
Git commit d754291b64d7a19520bcd571c9f57848a7eb6a69 by Noah Davis.
Committed on 18/10/2021 at 17:44.
Pushed by ndavis into branch 'master'.

kickoff: Replace Kicker DragHelper with Qt Quick Drag

Originally, I thought it wasn't possible to use Qt Quick Drag here, but
then I found out I could use Item::grabToImage()'s function callback
parameter to set Drag.imageSource.

M  +10   -16   applets/kickoff/package/contents/ui/KickoffItemDelegate.qml
M  +0    -11   applets/kickoff/package/contents/ui/KickoffSingleton.qml

https://invent.kde.org/plasma/plasma-desktop/commit/d754291b64d7a19520bcd571c9f57848a7eb6a69
Comment 25 Noah Davis 2021-10-18 17:46:06 UTC
Git commit a6e732f35f4fcbfeeb0cbf41609e62c040326ab7 by Noah Davis.
Committed on 18/10/2021 at 17:46.
Pushed by ndavis into branch 'Plasma/5.23'.

kickoff: Replace Kicker DragHelper with Qt Quick Drag

Originally, I thought it wasn't possible to use Qt Quick Drag here, but
then I found out I could use Item::grabToImage()'s function callback
parameter to set Drag.imageSource.


(cherry picked from commit d754291b64d7a19520bcd571c9f57848a7eb6a69)

M  +10   -16   applets/kickoff/package/contents/ui/KickoffItemDelegate.qml
M  +0    -11   applets/kickoff/package/contents/ui/KickoffSingleton.qml

https://invent.kde.org/plasma/plasma-desktop/commit/a6e732f35f4fcbfeeb0cbf41609e62c040326ab7
Comment 26 MikeC 2021-10-18 18:02:08 UTC
(In reply to Antonio Rojas from comment #23)
> Please open a separate report, that's unrelated to the original crash
> tracked here.

Does your commit at https://github.com/archlinux/svntogit-packages/commits/packages/kwin/trunk for "Properly unredirect windows if compositing is not possible" entered earlier today now fix the compositor issue, which means an additional report is no longer necessary?
Comment 27 MikeC 2021-10-18 18:06:56 UTC
The github commit I referred to is only for the arch package kwin - so I guess is not an upstream plasma fix - so should that be referred to a separate kde bug report to see if it can go in at source?
Comment 28 Antonio Rojas 2021-10-19 15:46:49 UTC
*** Bug 444053 has been marked as a duplicate of this bug. ***
Comment 29 Nate Graham 2021-10-21 17:34:13 UTC
*** Bug 444196 has been marked as a duplicate of this bug. ***